# Contributing Guidelines

## Reporting Issues

A great way to contribute to the project
is to send a detailed issue when you encounter a problem.
We always appreciate a well-written, thorough bug report.

Check that the project issues database
doesn't already include that problem or suggestion before submitting an issue.
If you find a match, add a quick "+1" or "I have this problem too."
Doing this helps prioritize the most common problems and requests.

When reporting issues, please include the following:

* The version of Xcode you're using
* The version of iOS you're targeting
* The full output of any stack trace or compiler error
* A code snippet that reproduces the described behavior, if applicable
* Any other details that would be useful in understanding the problem

This information will help us review and fix your issue faster.

## Sending a Pull Request

**Before submitting a pull request,** please make sure the following is done:

1.  Fork [the repository](https://github.com/checkout/frames-ios) and create your branch from `develop`.
2.  If you've added code that should be tested, please add tests.
3.  If you've changed APIs, update the documentation.
4.  Ensure the test suite passes.
5.  Format your code.
6.  Make sure your code lints.
