## Issue

_Issue ticket number and link._

## Proposed changes

_Describe the big picture of your changes here to communicate to the maintainers why we should accept this pull request. If it fixes a bug or resolves a feature request, be sure to link to that issue._

## Test Steps

_If there's any functionality change, please list a step by step guide of how to verify the changes, and/or upload a screen recording for any visible changes._

> For instance:
> 1. Go to the main screen
> 2. Tap on primary button
> 3. Verify the image is shown on the screen

## Checklist

_Put an `x` in the boxes that apply. You can also fill these out after creating the PR. If you're unsure about any of them, don't hesitate to ask. We're here to help! This is simply a reminder of what we are going to look for before merging your code._

* [ ] Reviewers assigned
* [ ] I have performed a self-review of my code and manual testing
* [ ] Lint and unit tests pass locally with my changes
* [ ] I have added tests that prove my fix is effective or that my feature works
* [ ] I have added necessary documentation (if applicable)

## Further comments

_If this is a relatively large or complex change, kick off the discussion by explaining why you choose the solution you did and what alternatives you considered, etc..._
